Subject: Re: FVWM: Changing Decor in a Function

From: [email-masked] (Martin Cartwright)
Date: Mon, 20 Jan 1997 15:16:49 GMT

=> From: lar3ry gensch <[email-masked]>
=> 
=> Martin Cartwright wrote:
=> > 
=> > Also what does that last ChangeDecor "Default" do?
=> 
=> It sets up the initial "state" -- actually, since "default" is the
=> default state, it's not really needed.
=> 
Actually, that's what I thought. The problem with that line is that it 
waits for the user to click on a window for it to change the decor. 

I've also noticed something else. You can't make two windows sticky 
one after the other and change the decor at the same time as making the 
first one sticky switches the SwitchDecor function to revert to the default
decor. So if you try and make a second window change decor, it becomes sticky
but keeps the default decor. This could get kind of confusing. 

I'm going to make one of my outlandish non-programmer type 
suggestions here:

Currently sticky windows have those nice grooves along the title bar
so presumably some bit of code somewhere recognizes the fact that 
it's sticky and slaps them over the top regardless of decor. Would it 
be possible to adapt this to pick up a Decor at the same time. This could 
be a reserved Decor called "Sticky" which unless defined is the same as 
"Default" but with the grooves. However, if defined by the user, any window 
that becomes sticky, picks up the new decor (and the grooves), and then reverts when unstuck. This could be just a colour change, or something really poncy, 
depending upon the user.

Ridiculous suggestion over.

Just don't get rid of the grooves, please.

Cheers 

	Martin.

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|  "No challenge should be faced without a little charm,      |
|   and a lot of style."				      |
-\-----------------------------------------------------------/-
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].